Skip to main content
PUT
/
open-api
/
v1.1
/
memberships
/
series
/
posts
/
{id}
Update Post Series
curl --request PUT \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/series/posts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "coverImageResource": {
    "type": "New",
    "id": 123
  },
  "thumbnailResource": {
    "type": "New",
    "id": 123
  },
  "postsIds": [
    123
  ]
}
'
{
  "parameters": "{ \"post_id\": [ \"is missing\" ] }",
  "body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}
OAuth scope: memberships_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Path Parameters

id
integer
required

Body

application/json
title
string
required
Minimum string length: 3
description
string
required
Maximum string length: 2048
coverImageResource
object
required
thumbnailResource
object
required
postsIds
integer[]

Response